Package org.eclipse.emf.cdo.server

# Class IRepository.WriteAccessHandler.TransactionValidationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.server.IRepository.WriteAccessHandler.TransactionValidationException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `IRepository.WriteAccessHandler`

public static final class IRepository.WriteAccessHandler.TransactionValidationException extends RuntimeException
An exception that a `IRepository.WriteAccessHandler` may throw to indicate that a transaction commit was rejected because one or more semantic validation checks reported errors.

Since:
  4.3
Author:
  Christian W. Damus (CEA LIST)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransactionValidationException()`
`TransactionValidationException(String message)`
`TransactionValidationException(String message, Throwable cause)`
`TransactionValidationException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionValidationException

public TransactionValidationException()

### TransactionValidationException

public TransactionValidationException(String message, Throwable cause)

### TransactionValidationException

public TransactionValidationException(String message)

### TransactionValidationException

public TransactionValidationException(Throwable cause)